DDB Space Reclamation operation on Storage pool
API to run DDB Space Reclamation jobs on SIDB Stores associated storage pool
Path Parameters
- storagePoolId int32 required
Id of the Storage Pool
Query Parameters
- DDBVerificationLevel string required
Possible values: [
DDB_DEFRAGMENTATION]Deduplication Database and Disk Data Verification Level
- application/json
Request Body
- startNewMedia boolean
Specify whether to start backup on new media
- markMediaFullOnSuccess boolean
Specify whether to mark media full after completion of backup job
- maxNumberOfStreams int32
Specify the number of streams if maximum streams for auxcopy job
- useMaximumStreams boolean
Specify whether number of streams is set to Maximum
mediaAgents object[]
List of Media Agents selected as source reader mediaAgents
id int32name stringclientGroups object[]
List of clients selected as source reader clients
id int32name string
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
jobInfoList object[]
jobIds int64[]List of JobIds
storeId int32Id of the DDB store
storeName stringName of the DDB store
error object
errorMessage stringerrorCode int32error object
errorMessage stringerrorCode int32
{
"jobInfoList": [
{
"jobIds": [
0
],
"storeId": 0,
"storeName": "string",
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
],
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Loading...